%define name    LinPacker
%define srcname linpacker
%define version 0.5.9
%define release %mkrel 2

Summary:        Tool for 2D bin packing
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPL
Group:          Sciences/Mathematics
URL:            http://freehackers.org/~tnagy/linpacker/
Source0:        http://freehackers.org/~tnagy/linpacker/%{srcname}-%{version}.tar.bz2
Source1:        %{name}-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires: qt3-devel 
BuildRequires: kdelibs-devel
BuildRequires: autoconf2.5
BuildRequires: scons

%description
Tool for 2D Bin Packing

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1 -n %srcname-%version

%build

scons configure prefix=%_prefix
scons %_smp_mflags


%install
scons configure prefix=%buildroot%_prefix
scons %_smp_mflags install

# icon
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{srcname}"\
title="%{name}"\
longtitle="Places rectangular shapes."\
needs="KDE"\
section="Applications/Sciences/Mathematics"\
icon="%{name}.png"
EOF

chmod 644 COPYING README AUTHORS INSTALL

%find_lang %srcname

%clean
rm -rf $RPM_BUILD_ROOT 

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %srcname.lang
%defattr(-,root,root,0755)
%doc COPYING README AUTHORS INSTALL
%{_bindir}/*
%_datadir/apps/linpacker
%_datadir/config.kcfg/linpacker.kcfg
%_datadir/applnk/Utilities/linpacker.desktop
%_datadir/mimelnk/application/x-linpacker.desktop
%_iconsdir/hicolor/16x16/apps/linpacker.png
%_iconsdir/hicolor/32x32/apps/linpacker.png
%_iconsdir/hicolor/48x48/apps/linpacker.png

%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%_menudir/%{name}

%changelog
* Tue Jun 20 2006 Lenny Cartier <lenny@mandriva.com> 0.5.9-2mdv2007.0
- rebuild

* Tue Mar 08 2005 Olivier Thauvin <nanardon@mandrake.org> 0.5.9-1mdk
- 0.5.9
- use %%mkrel

* Tue Nov 09 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.6-1mdk
- 0.5.6
- update url
 
* Mon Jun 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-1mdk
- 0.5.2

* Thu Jan 13 2004 Franck Villaume <fvill@freesurf.fr> 0.5.1-1mdk
- 0.5.1
- 64bits buildrequires

* Wed Sep 17 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.0-1mdk
- 0.5.0
 
* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.9-2mdk
- buildrequires kdelibs-devel

* Fri Jul 18 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.9-1mdk
- 0.4.9

* Sat Jul 12 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.8-2mdk
- DIRM fix

* Sun Jul 06 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.4.8-1mdk
- 0.4.8
 
* Mon Apr 14 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.8-2mdk
- cleanup
- add menu

* Mon Apr 14 2003 TN <tnagy@eleve.emn.fr> 0.3.8-1mdk
second rpm build attempt

* Sun Mar 09 2003 TN <tnagy@eleve.emn.fr> 0.2.0-1mdk
first rpm build
